Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlAjaxOutputPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  org.ajax4jsf.component.UIAjaxOutputPanel
                      org.ajax4jsf.component.html.HtmlAjaxOutputPanel

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput

    public class HtmlAjaxOutputPanel

extends UIAjaxOutputPanel

Component-Type org.ajax4jsf.OutputPanel Component-Family javax.faces.Panel Renderer-Type org.ajax4jsf.components.AjaxOutputPanelRenderer Creates an AJAX-enabled part of the page. For a normal request, render a &amp;lt;span&amp;gt; or &amp;lt;div&amp;gt; HTML element depending on the value of the "layout" attribute, "inline" or "block". (The "id" attribute will be the value of the clientId property.) For an AJAX request, the content of this element is included in the response if the value of the property, "ajaxRendered", is set to true.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlAjaxOutputPanel()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getLayout()` HTML layout for generated markup.
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`boolean` | `isAjaxRendered()` Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action.
`boolean` | `isKeepTransient()` Flag for mark all child components to non-transient.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxRendered(boolean __ajaxRendered)` Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action.
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setKeepTransient(boolean __keepTransient)` Flag for mark all child components to non-transient.
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLayout(java.lang.String __layout)` HTML layout for generated markup.
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlAjaxOutputPanel

    public HtmlAjaxOutputPanel()

  Constructor to init default renderers

Method Detail

### setAjaxRendered

    public void setAjaxRendered(boolean __ajaxRendered)

  Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action. Ignored if component marked to output by Ajax action. default false Setter for ajaxRendered

  Parameters:
    `ajaxRendered` - - new value

### isAjaxRendered

    public boolean isAjaxRendered()

  Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action. Ignored if component marked to output by Ajax action. default false Getter for ajaxRendered

  Returns:
    ajaxRendered value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setKeepTransient

    public void setKeepTransient(boolean __keepTransient)

  Flag for mark all child components to non-transient. If true, all children components will be set to non-transient state and keep in saved components tree. For output in self-renderer region all content ( By default, all content in &lt;f:verbatim&gt; tags and non-jsf elements in facelets, marked as transient - since, self-rendered ajax regions don't plain output for ajax processing ). Setter for keepTransient

  Parameters:
    `keepTransient` - - new value

### isKeepTransient

    public boolean isKeepTransient()

  Flag for mark all child components to non-transient. If true, all children components will be set to non-transient state and keep in saved components tree. For output in self-renderer region all content ( By default, all content in &lt;f:verbatim&gt; tags and non-jsf elements in facelets, marked as transient - since, self-rendered ajax regions don't plain output for ajax processing ). Getter for keepTransient

  Returns:
    keepTransient value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setLayout

    public void setLayout(java.lang.String __layout)

  HTML layout for generated markup. Possible values: "block" for generating an HTML &lt;div&gt; element, "inline" for generating an HTML &lt;span&gt; element, and "none" for generating no HTML element. There is a minor exception for the "none" case where a child element has the property "rendered" set to "false". In this case, we create an empty &lt;span&gt; element with same ID as the child element to use as a placeholder for later processing. Setter for layout

  Specified by:
    `setLayout` in class `UIAjaxOutputPanel`
  Parameters:
    `layout` - - new value

### getLayout

    public java.lang.String getLayout()

  HTML layout for generated markup. Possible values: "block" for generating an HTML &lt;div&gt; element, "inline" for generating an HTML &lt;span&gt; element, and "none" for generating no HTML element. There is a minor exception for the "none" case where a child element has the property "rendered" set to "false". In this case, we create an empty &lt;span&gt; element with same ID as the child element to use as a placeholder for later processing. Getter for layout

  Specified by:
    `getLayout` in class `UIAjaxOutputPanel`
  Returns:
    layout value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIPanel`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.